<?php
/**
 * Plugin Name: DMG Liveblog
 * Plugin URI:  https://github.com/ANMedia/dmg-liveblog-wp-plugin
 * Description: Liveblog for DMG
 * Version:     1.0.9
 * Author:      markparolisi
 */

namespace DMG;

require_once( __DIR__ . '/post-types/class-dmg-liveblog-post-type.php' );
require_once( __DIR__ . '/post-types/class-dmg-liveblog-entry-post-type.php' );
require_once( __DIR__ . '/class-dmg-liveblog-api.php' );
require_once( __DIR__ . '/class-dmg-liveblog-embed.php' );

/**
 * Plugin main class
 */
class Liveblog {


    /**
     * Register all of the components of the plugin
     *
     * @return void
     */
    public static function init(){

        \DMG\Liveblog_Post_Type::init();
        \DMG\Liveblog_Entry_Post_Type::init();
        \DMG\Liveblog_API::init();
        \DMG\Liveblog_Embed::init();

        // Give admins the liveblog capability on activation
        register_activation_hook( __FILE__, function() {
            $role_object = get_role( 'administrator' );
            $role_object->add_cap( Liveblog_Post_Type::CAPABILITY );
        } );

        // Check if a given page contains a liveblog and load the React App assets
    }
}

Liveblog::init();
