// WordPress dependencies
import { InnerBlocks } from '@wordpress/block-editor';
import { registerBlockType } from '@wordpress/blocks';

// Internal dependencies
import block from './block.json';
import edit from './edit';

const supports = {
    customClassName: false,
    className: false,
    html: false,
    reusable: false
}

registerBlockType(
    block.name,
    {
        title: block.title,
        category: block.category,
        description: block.description,
        icon: block.icon,
        supports,
        attributes: block.attributes,
        edit,
        save: () => <InnerBlocks.Content />,
    }
);

