import { useSelector, useDispatch } from 'react-redux';

/**
 * Internal dependencies
 */
import { getQueue, loadQueue } from '../store/slices/Entries';

/**
 * CTA for displaying posts queued up from polling
 *
 * @return {function} Render the Load More button
 */
const Queue = () => {

  const queue = useSelector(getQueue)
  const dispatch = useDispatch()

  const loadNewEntries = () => {
    dispatch(loadQueue())
  }

  const queueLength = queue.length
  const entryText = queueLength === 1 ? ' 1 new entry' : `are ${queueLength} new entries`

  return (
    <div
      className="dmg-liveblog__queue">
      {queueLength > 0 &&
        <p
          onClick={() => loadNewEntries()}>
          There {entryText}. <strong>Load</strong>
        </p>
      }
    </div>
  )
}

export default Queue;
