/**
 * Internal dependencies
 */
import Icon from '../Icon'
import { triggerEvent } from '../../utils/events'

/**
 * Email Icon
 *
 * @param {object}   props      The entry properties.
 * @param {object}   props.post The entry WordPress post object.
 * @return {function} Render the entry
 */
const Email = ({post}) => {

  /**
   * Mailto callback
   *
   * @param {object} post     The entry WordPress post object
   */
  const mailto = (post) => {
    const subject = encodeURIComponent(post.title.rendered)
    const body = encodeURIComponent(post.link)
    const shareURL = `mailto:?subject=${subject}&body=${body}`
    window.location.href = shareURL
    triggerEvent('dmgLiveblog:shareButtons:email', {post, shareURL})
  }

  return (
    <div
      className="dmg-liveblog__social-icon dmg-liveblog__social-icon-email"
      onClick={() => mailto(post)}>
      <Icon name="mail" />
    </div>
  )
}

export default Email
