/**
 * Internal dependencies
 */
import Icon from '../Icon'
import { triggerEvent } from '../../utils/events'

/**
 * Twitter Icon
 *
 * @param {object}   props      The entry properties.
 * @param {object}   props.post The entry WordPress post object.
 * @return {function} Render the entry
 */
const Twitter = ({post}) => {

  /**
   * Share callback
   *
   * @param {object} post The entry WordPress post object
   */
  const share = (post) => {
    const url = encodeURIComponent(post.link)
    const text = encodeURIComponent(post.title.rendered)
    const options = 'toolbar=0,status=0,resizable=1,width=626,height=436';
    const shareURL = `https://twitter.com/intent/tweet?url=${url}&text=${text}`
    window.open(shareURL, '_blank', options)
    triggerEvent('dmgLiveblog:shareButtons:twitter', {post, shareURL})
  }

  return (
    <div
      className="dmg-liveblog__social-icon dmg-liveblog__social-icon-twitter"
      onClick={() => share(post)}>
      <Icon name="twitter" />
    </div>
  )
}

export default Twitter
