/**
 * Internal dependencies
 */
import Icon from '../Icon'
import { triggerEvent } from '../../utils/events'

/**
 * WhatsApp Icon
 *
 * @param {object}   props      The entry properties.
 * @param {object}   props.post The entry WordPress post object.
 * @return {function} Render the entry
 */
const WhatsApp = ({post}) => {

  /**
   * Share callback
   *
  * @param {object} post The entry WordPress post object
   */
  const share = (post) => {
    const text = encodeURIComponent(`${post.title.rendered} - ${post.link}`)
    const options = 'toolbar=0,status=0,resizable=1,width=626,height=436';
    const shareURL = `https://api.whatsapp.com/send?text=${text}`
    window.open(shareURL, '_blank', options)
    triggerEvent('dmgLiveblog:shareButtons:whatsapp', {post, shareURL})
  }

  return (
    <div
      className="dmg-liveblog__social-icon dmg-liveblog__social-icon-whatsapp"
      onClick={() => share(post)}>
      <Icon name="whatsapp" />
    </div>
  )
}

export default WhatsApp
