import React from 'react';
import ReactDOM from 'react-dom/client';
//import './index.css';
import store from './store';
import { Provider } from 'react-redux';
import App from './App';
import KeyEvents from './components/KeyEvents'

// Render the main liveblog app
const liveblogRoot = ReactDOM.createRoot(document.getElementById('dmg-liveblog-root'));
liveblogRoot.render(
  <Provider store={store}>
    <App />
  </Provider>
);

// Render the key events elsewhere on the page we've specified in the config
if (window.DMGLiveblog?.keyEvents?.active && window.DMGLiveblog.keyEvents?.container) {

  // Prepare to create a root container
  let keyEventsContainer = false;
  const keyEvents = window.DMGLiveblog.keyEvents;
  const keyEventsRootID = 'dmg-liveblog-key-events';

  if (keyEvents?.container?.selector && document.querySelector(keyEvents.container.selector)) {

    // Render within a specific selector
    keyEventsContainer = document.querySelector(keyEvents.container.selector);
  } else {

    // Generate the root container
    let keyEventContainer = document.createElement('div');
    keyEventContainer.setAttribute('id', keyEventsRootID);

    if (keyEvents?.container?.appendTo && document.querySelector(keyEvents.container.appendTo)) {

      // Append the root to another container
      document.querySelector(keyEvents.container.appendTo).append(keyEventContainer)
    } else if (keyEvents?.container?.insertBefore && document.querySelector(keyEvents.container.insertBefore)) {

      // Insert the root before another element
      const insertBefore = document.querySelector(keyEvents.container.insertBefore);
      insertBefore.parentNode.insertBefore(keyEventContainer, insertBefore)
    } else if (keyEvents?.container?.insertAfter && document.querySelector(keyEvents.container.insertAfter)) {

      // Insert the root after another element
      const insertAfter = document.querySelector(keyEvents.container.insertAfter);
      insertAfter.parentNode.insertBefore(keyEventContainer, insertAfter.nextSibling)
    }

    keyEventsContainer = document.getElementById(keyEventsRootID)
  }

  // If we have a root, render the React component
  if (keyEventsContainer) {
    const keyEventsRoot = ReactDOM.createRoot(keyEventsContainer);
    keyEventsRoot.render(
      <Provider store={store}>
        <KeyEvents />
      </Provider>
    );
  }
}
