import WPAPI from 'wpapi';

// Cache dictionary
let cache = []

export const WP = new WPAPI({
  endpoint: window?.DMGLiveblog?.apiBase ?? '/wp-json/',
  transport: {

    // Override the transport for the GET method
    get: function( wpreq, cb ) {
      var result = cache[ wpreq ];

      // Cache hit; return as a promise and deep clone the result
      if ( result ) {
        return Promise.resolve( JSON.parse(JSON.stringify(result)) );
      }

      // Delegate to default transport if no cached data was found
      return WPAPI.transport.get( wpreq, cb ).then(function( result ) {

        // Cache requests that use the before query param (i.e. omit polling requests)
        if (wpreq?._params?.before) {
          cache[ wpreq ] = result;
        }

        return result;
      });
    }
  }
});

// Register routes
WP.liveblog = WP.registerRoute('wp/v2', '/liveblog/(?P<id>)/entries');
